<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 19:57
 */

declare(strict_types = 1);

namespace Pattern\Creational\AbstractFactory;

class UkrpostDeliveryService implements DeliveryServiceInterface
{
    public function sendPackage(PackageInterface $package): void
    {
        /** @noinspection ForgottenDebugOutputInspection */
        dump("Sending package via Ukrpost...");
    }
}
