<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 18:02
 */

declare(strict_types = 1);

namespace Pattern\Creational\FactoryMethod;

class OtpPaymentFactory implements PaymentFactoryInterface
{
    public static function createPayment(): PaymentInterface
    {
        return new OtpPayment();
    }
}
