<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 17:57
 */

declare(strict_types = 1);

namespace Pattern\Creational\FactoryMethod;

class PrivatPaymentFactory implements PaymentFactoryInterface
{
    public static function createPayment(): PaymentInterface
    {
        return new PrivatPayment();
    }
}
