<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 19:12
 */

declare(strict_types = 1);

namespace Pattern\Creational\FactoryMethod;

class RaiffeisenPayment implements PaymentInterface
{
    public function pay(Order $order): void
    {
        /** @noinspection ForgottenDebugOutputInspection */
        dump("Raiffeisen Bank payment success, amount: {$order->getSum()} ₴");
    }
}
