<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 22:26
 */

declare(strict_types = 1);

namespace Pattern\Structural\Adapter;

class XMLReport
{
    public function buildXML(): string
    {
        return '<?xml version="1.0" encoding="UTF-8"?>
                <root>
                    <element0>
                        <name>Ibanez RG421EX</name>
                        <price>21278</price>
                        <count>129</count>
                    </element0>
                    <element1>
                        <name>Fender Debut Stratocaster HSS Dakota Red</name>
                        <price>8400</price>
                        <count>289</count>
                    </element1>
                    <element2>
                        <name>Harley Benton ST-20 BK Standard Series</name>
                        <price>5190</price>
                        <count>389</count>
                    </element2>
                </root>';
    }
}
