<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 21:59
 */

declare(strict_types = 1);

namespace Pattern\Structural\Adapter;

use JsonException;

class YamlReport
{
    public function emitYaml(): string
    {
        return yaml_emit([
            [
                'name'  => 'Apple iPhone 16 Pro Max 256GB Natural Titanium (MYWY3)',
                'price' => 62799,
                'count' => 2127,
            ]
        ], YAML_UTF8_ENCODING);
    }
}
