<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-06
 * @time: 11:38
 */

declare(strict_types = 1);

namespace Pattern\Structural\Decorator;

class BasicInspection implements CarServiceInterface
{
    public function getCost(): float
    {
        return 25.14;
    }

    public function getDescription(): string
    {
        return 'Basic inspection';
    }
}
