<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-04
 * @time: 10:39
 */

declare(strict_types = 1);

use Pattern\Structural\Decorator\{BasicInspection, OilChange, TireRotation};

$service = new TireRotation(new OilChange(new BasicInspection()));

echo $service->getDescription() . ': $';
echo $service->getCost();
