<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 20:02
 */

declare(strict_types = 1);

namespace Pattern\Creational\AbstractFactory;

interface DeliveryServiceInterface
{
    public function sendPackage(PackageInterface $package): void;
}
