<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 20:00
 */

declare(strict_types = 1);

namespace Pattern\Creational\AbstractFactory;

class NovapostPackage implements PackageInterface
{
    public function getConsist(): void
    {
        /** @noinspection ForgottenDebugOutputInspection */
        dump('Checking package from Novapost...');
    }
}
