<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 14:17
 */

//phpcs:ignore
declare(strict_types = 1);

namespace Pattern\Creational\FactoryMethod;

interface PaymentFactoryInterface
{
    public static function createPayment(): PaymentInterface;
}
