<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 17:59
 */

declare(strict_types = 1);

namespace Pattern\Creational\FactoryMethod;

class RaiffeisenPaymentFactory implements PaymentFactoryInterface
{
    public static function createPayment(): PaymentInterface
    {
        return new RaiffeisenPayment();
    }
}
