<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-04
 * @time: 07:54
 */

declare(strict_types = 1);

namespace Pattern\Creational\Prototype;

class Author
{
    /**
     * @var Page[]
     */
    private array $pages = [];

    public function __construct(private string $name) {}

    public function addToPage(Page $page): void
    {
        $this->pages[] = $page;
    }
}
