<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 21:47
 */

declare(strict_types = 1);

namespace Pattern\Structural\Adapter;

class PHPArrayReport implements PHPArrayReportInterfaceAdapter
{
    public function getData(): array
    {
        return [
            [
                'name'  => 'USB HDD Transcend StoreJet25M3 2 TB Iron Gray (TS2TSJ25M3S)',
                'price' => 4589,
                'count' => 536,
            ],
            [
                'name'  => 'HDD Seagate IronWolf 4 TB (ST4000VN006)',
                'price' => 5069,
                'count' => 346,
            ],
            [
                'name'  => 'HDD WD Purple 4 TB (WD43PURZ)',
                'price' => 4109,
                'count' => 142,
            ],
        ];
    }
}
