<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-03
 * @time: 22:07
 */

declare(strict_types = 1);

namespace Pattern\Structural\Adapter;

class SerializedReport
{
    public function getData(): string
    {
        return serialize([
            [
                'name'  => 'Makita 4329',
                'price' => 3479,
                'count' => 395,
            ],
            [
                'name'  => 'Bosch PST 650 (06033A0721)',
                'price' => 2103,
                'count' => 983,
            ],
            [
                'name'  => 'Dnipro-M JS-65LX (98609000)',
                'price' => 1920,
                'count' => 674,
            ],
            [
                'name'  => 'RZTK AJ 650 (252143876)',
                'price' => 699,
                'count' => 1265,
            ],
            [
                'name'  => 'AEG STEP 70 (4935412900)',
                'price' => 3950,
                'count' => 765,
            ],
        ]);
    }
}
