<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-06
 * @time: 11:53
 */

declare(strict_types = 1);

namespace Pattern\Structural\Decorator;

interface CarServiceInterface
{
    public function getCost(): float;

    public function getDescription(): string;
}
